Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherSpgrRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherSpgrRecord

    public class EscherSpgrRecord

extends EscherRecord

The spgr record defines information about a shape group. Groups in escher are simply another form of shape that you can't physically see.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static java.lang.String` | `RECORD_DESCRIPTION`
`static short` | `RECORD_ID`

Constructor Summary
`EscherSpgrRecord()`

Method Summary
`int` | `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` The contract of this method is to deserialize an escher record including it's children.
`short` | `getRecordId()` Return the current record id.
`java.lang.String` | `getRecordName()` Subclasses should return the short name for this escher record.
`int` | `getRecordSize()` Subclasses should effeciently return the number of bytes required to serialize the record.
`int` | `getRectX1()` The starting top-left coordinate of child records.
`int` | `getRectX2()` The starting bottom-right coordinate of child records.
`int` | `getRectY1()` The starting top-left coordinate of child records.
`int` | `getRectY2()` The starting bottom-right coordinate of child records.
`int` | `serialize(int offset, byte[] data, EscherSerializationListener listener)` Serializes the record to an existing byte array.
`void` | `setRectX1(int x1)` The starting top-left coordinate of child records.
`void` | `setRectX2(int x2)` The starting bottom-right coordinate of child records.
`void` | `setRectY1(int y1)` The starting top-left coordinate of child records.
`void` | `setRectY2(int rectY2)` The starting bottom-right coordinate of child records.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, getChild, getChildRecords, getInstance, getOptions, getVersion, isContainerRecord, serialize, serialize, setChildRecords, setInstance, setOptions, setRecordId, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### EscherSpgrRecord

    public EscherSpgrRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  Description copied from class: `EscherRecord`
  The contract of this method is to deserialize an escher record including it's children.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the serialized escher records.
    `offset` - The offset into the byte array.
    `recordFactory` - A factory for creating new escher records.
  Returns:
    The number of bytes written.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  Description copied from class: `EscherRecord`
  Serializes the record to an existing byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - the offset within the byte array
    `data` - the data array to serialize to
    `listener` - a listener for begin and end serialization events. This is useful because the serialization is hierarchical/recursive and sometimes you need to be able break into that.
  Returns:
    the number of bytes written.

### getRecordSize

    public int getRecordSize()

  Description copied from class: `EscherRecord`
  Subclasses should effeciently return the number of bytes required to serialize the record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    number of bytes

### getRecordId

    public short getRecordId()

  Description copied from class: `EscherRecord`
  Return the current record id.

  Overrides:
    `getRecordId` in class `EscherRecord`
  Returns:
    The 16 bit record id.

### getRecordName

    public java.lang.String getRecordName()

  Description copied from class: `EscherRecord`
  Subclasses should return the short name for this escher record.

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this record.

### getRectX1

    public int getRectX1()

  The starting top-left coordinate of child records.

### setRectX1

    public void setRectX1(int x1)

  The starting top-left coordinate of child records.

### getRectY1

    public int getRectY1()

  The starting top-left coordinate of child records.

### setRectY1

    public void setRectY1(int y1)

  The starting top-left coordinate of child records.

### getRectX2

    public int getRectX2()

  The starting bottom-right coordinate of child records.

### setRectX2

    public void setRectX2(int x2)

  The starting bottom-right coordinate of child records.

### getRectY2

    public int getRectY2()

  The starting bottom-right coordinate of child records.

### setRectY2

    public void setRectY2(int rectY2)

  The starting bottom-right coordinate of child records.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD